# Asphalt Roads 1.0.5
---
## Introduction

*Useful for rapid individual transit, pretty roads for city blocks within your base and of course: racing tracks*


**Asphalt Roads**

"Asphalt Roads" adds a new tile set with a smooth, black road surface to your games, including tiles for hazard marking and lane marking. Enjoy the reduced vehicle friction modifier and accelerate up to 200 km/h with your car (using rocket fuel). 

- Mark separate lanes on your roads
- Mark hazard areas near railway crossings or gates
- Set up pedestrian crossings with the zebra crossing tile

## Details

### Items


![Imgur](http://i.imgur.com/50QaoKq.png)

- **Asphalt** is the base tile. 

- **Asphalt with lane marking** consists of four separate items for white and yellow lane marking in 45, 90, 135 and 180 degree angles. To allow compability with blueprint rotation diagonal and straight tiles are separated.

- **Asphalt with zebra crossing marking** are two tiles intended for the use as pedestrian crossings

- **Asphalt with hazard marking** are four separate items for white, yellow, red and blue hazard marking. 

![Imgur](http://i.imgur.com/RYwFjaV.png)

- **Corner tiles** are tiles that divert a marking line to an angle of 45 degree to the left or the right. 

### Technology
Basic technology is called **Asphalt** and needs concrete as a prerequisite.

### Mod support

- [Bio Industries](https://mods.factorio.com/mods/TheSAguy/Bio_Industries): If present, crushed stone will be used as an ingredient for asphalt. This can be disabled in mod settings tab.

### Effects on gameplay

This mod is mostly non-game-changing, apart from the reduced vehicle friction of asphalt. But this is compensated by the significant amount of crude and heavy oil needed for the production of asphalt.

### Current language support

- EN (English)
- DE (German)

If you like this mod and you've created a translation of your own, please do not hesitate to send me this, so that it can be made accessible to all in the next version. Thanks in advance!

---

### Changelog
1.0.5 (2017-05-12)

- Fixed a multiplayer issue caused by an MP-unsave event handler. 

1.0.4 (2017-04-30)

- updated for Factorio 0.15.x
- added crafting manchine tint for asphalt crafting
- added new config option for layer priority


1.0.3 (2017-04-15)

- balancing: changed default walking speed modificator to 140% to match that of concrete
- added config file for parameter customization
- added recipe substitution: If BioIndustries is present, crushed stone will be used in asphalt recipe instead of stone bricks
- adjusted (darkened) map colours to make roads more visible in areas of low contrast

1.0.2 (2017-02-10)

- added corner tiles for white and yellow lane marking
- increased brightness of all icons
- usability: all marking and hazard tiles are now set to go to quickbar

 
1.0.1 (2016-12-31)

- minor bugfix: added unique localised string identifiers to avoid problems with other mods
- balancing: reduced amount of bricks needed for asphalt by 20%
- improved map colours
- added correct picture for tile overview


 1.0.0 (2016-12-23) 	

- initial release 


